#
# spec file for package cockpit-podman
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cockpit-podman
Version:        33
Release:        150400.1.1
Summary:        Cockpit component for Podman containers
License:        LGPL-2.1-or-later
URL:            https://github.com/cockpit-project/cockpit-podman
Source:         https://github.com/cockpit-project/cockpit-podman/archive/%{version}.tar.gz#/cockpit-podman-%{version}.tar.gz
Source10:       package-lock.json
Source11:       node_modules.spec.inc
%include %_sourcedir/node_modules.spec.inc
BuildArch:      noarch
BuildRequires:  appstream-glib
Requires:       cockpit-bridge >= 138
Requires:       cockpit-shell >= 138
Requires:       podman >= 2.0.4
#
BuildRequires:  cockpit-devel >= 237
BuildRequires:  local-npm-registry
BuildRequires:  sassc

%description
Cockpit component for managing Podman containers

%prep
%autosetup -p1
local-npm-registry %{_sourcedir} install --with=dev

%build
cp -r %{_datadir}/cockpit/devel/lib src/lib

npm run build

%install
%make_install
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc README.md
%license LICENSE
%{_datadir}/cockpit
%{_datadir}/metainfo/*

%changelog
* Tue Sep  6 2022 david.kubat@suse.com
- Re-package node_modules.obscpio with latest version of
  obs-service-node_modules
* Fri Apr 22 2022 jtomasiak@suse.com
- Remove translate-toolkit which is not available in SLE
* Mon Dec 20 2021 ecsos@opensuse.org
- Add source-offest to _service to fix build error in Leap.
* Fri Aug 13 2021 lnussel@suse.de
- new version 33
  https://github.com/cockpit-project/cockpit-podman/releases/tag/33
- fix_dependencies.patch no longer needed
* Wed Feb 24 2021 adam.majer@suse.de
- new version 28.1
  https://github.com/cockpit-project/cockpit-podman/releases/tag/28.1
- use upstream sources without bundled and pre-built dist since
  we want to rebuild it
- use local-npm-registry for building
- fix_dependencies.patch: fix build dependencies
* Wed Jan 27 2021 adam.majer@suse.de
- new version 27.1
  https://github.com/cockpit-project/cockpit-podman/releases
- migrate to local rebuild
* Fri Jan 22 2021 lnussel@suse.de
- new version 26
  https://github.com/cockpit-project/cockpit-podman/releases/tag/26
* Thu Oct 15 2020 lnussel@suse.de
- new version 25
  https://cockpit-project.org/blog/cockpit-230.html
* Fri Oct  2 2020 lnussel@suse.de
- new version 24
  https://cockpit-project.org/blog/cockpit-228.html
* Fri Aug 14 2020 lnussel@suse.de
- initial package version 21
